Characters
This page documents API operations for this section in a unified operation-card format.
Account characters
characters
Description
Characters.
Input
| Field | Type | Required | Description |
|---|---|---|---|
accountLogin | String | ✓ | Game account login. |
Result
Response type - [Character!]!.
Errors
UNAUTHENTICATED- the session is missing or expired.ACCOUNT_NOT_FOUND- game account or character was not found.VALIDATION- request parameters are invalid.
Exchange example
Request
documentId: characters
{
"documentId": "characters",
"variables": {
"accountLogin": "GameLogin"
}
}
Response
200 OK
{
"data": {
"characters": {}
}
}
Related types
Character by name
character
Description
Character by name.
Input
| Field | Type | Required | Description |
|---|---|---|---|
accountLogin | String | ✓ | Game account login. |
charName | String | ✓ | Character name. |
Result
Response type - Character.
Errors
UNAUTHENTICATED- the session is missing or expired.ACCOUNT_NOT_FOUND- game account or character was not found.VALIDATION- request parameters are invalid.
Exchange example
Request
documentId: character
{
"documentId": "character",
"variables": {
"accountLogin": "GameLogin",
"charName": "Hero"
}
}
Response
200 OK
{
"data": {
"character": {}
}
}
Related types
Character inventory
characterItems
Description
Inventory.
Input
| Field | Type | Required | Description |
|---|---|---|---|
accountLogin | String | ✓ | Game account login. |
charName | String | ✓ | Character name. |
Result
Response type - [CharacterItem!]!.
Errors
UNAUTHENTICATED- the session is missing or expired.ACCOUNT_NOT_FOUND- game account or character was not found.VALIDATION- request parameters are invalid.
Exchange example
Request
documentId: characterItems
{
"documentId": "characterItems",
"variables": {
"accountLogin": "GameLogin",
"charName": "Hero"
}
}
Response
200 OK
{
"data": {
"characterItems": {}
}
}
Related types
Teleport to town
teleportCharacter
Description
Teleport character.
Input
| Field | Type | Required | Description |
|---|---|---|---|
accountLogin | String | ✓ | Game account login. |
charName | String | ✓ | Character name. |
Result
Response type - ServiceResult!.
Errors
UNAUTHENTICATED- the session is missing or expired.ACCOUNT_NOT_FOUND- game account or character was not found.VALIDATION- request parameters are invalid.
Exchange example
Request
documentId: teleportCharacter
{
"documentId": "teleportCharacter",
"variables": {
"accountLogin": "GameLogin",
"charName": "Hero"
}
}
Response
200 OK
{
"data": {
"teleportCharacter": {}
}
}
Related types
Reset character HWID / PIN
resetCharacterHwid
Description
Reset character HWID.
Input
| Field | Type | Required | Description |
|---|---|---|---|
accountLogin | String | ✓ | Game account login. |
charName | String | ✓ | Character name. |
Result
Response type - ServiceResult!.
Errors
UNAUTHENTICATED- the session is missing or expired.ACCOUNT_NOT_FOUND- game account or character was not found.VALIDATION- request parameters are invalid.
Exchange example
Request
documentId: resetCharacterHwid
{
"documentId": "resetCharacterHwid",
"variables": {
"accountLogin": "GameLogin",
"charName": "Hero"
}
}
Response
200 OK
{
"data": {
"resetCharacterHwid": {}
}
}